# -*- encoding: utf-8 -*-
# stub: blockbridge-api 1.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "blockbridge-api".freeze
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Joshua Huber".freeze]
  s.bindir = "exe".freeze
  s.date = "2020-10-22"
  s.description = "Ruby Client for the Blockbridge API".freeze
  s.email = ["jhuber@blockbridge.com".freeze]
  s.executables = ["blockbridge-api".freeze]
  s.files = [".gitignore".freeze, ".ruby-version".freeze, "Gemfile".freeze, "LICENSE".freeze, "Rakefile".freeze, "bin/_guard-core".freeze, "bin/blockbridge-api".freeze, "bin/bundler".freeze, "bin/coderay".freeze, "bin/erubis".freeze, "bin/guard".freeze, "bin/heroics-generate".freeze, "bin/heroku-api".freeze, "bin/htmldiff".freeze, "bin/jsonpath".freeze, "bin/ldiff".freeze, "bin/listen".freeze, "bin/prmd".freeze, "bin/pry".freeze, "bin/rake".freeze, "bin/rspec".freeze, "bin/thor".freeze, "bin/validate-schema".freeze, "bin/yard".freeze, "bin/yardoc".freeze, "bin/yri".freeze, "blockbridge-api.gemspec".freeze, "data/schema.json".freeze, "exe/blockbridge-api".freeze, "lib/blockbridge/api.rb".freeze, "lib/blockbridge/api/camel_snake.rb".freeze, "lib/blockbridge/api/client.rb".freeze, "lib/blockbridge/api/debug.rb".freeze, "lib/blockbridge/api/errors.rb".freeze, "lib/blockbridge/api/hashie_mash.rb".freeze, "lib/blockbridge/api/internal-client.rb".freeze, "lib/blockbridge/api/object_id.rb".freeze, "lib/blockbridge/api/resources.rb".freeze, "lib/blockbridge/api/version.rb".freeze, "lib/blockbridge/api/xmd_data.rb".freeze]
  s.homepage = "http://www.blockbridge.com".freeze
  s.licenses = ["BSD".freeze]
  s.rubygems_version = "2.6.7".freeze
  s.summary = "Ruby Client for the Blockbridge API".freeze

  s.installed_by_version = "2.6.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<heroics>.freeze, ["= 0.0.17"])
      s.add_runtime_dependency(%q<excon>.freeze, ["~> 0.48"])
      s.add_runtime_dependency(%q<multi_json>.freeze, ["~> 1.11"])
      s.add_runtime_dependency(%q<hashie>.freeze, ["~> 4.1"])
      s.add_runtime_dependency(%q<jsonpath>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<moneta>.freeze, [">= 0"])
      s.add_development_dependency(%q<clamp>.freeze, [">= 0"])
      s.add_development_dependency(%q<pry>.freeze, [">= 0"])
      s.add_development_dependency(%q<minitest>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<prmd>.freeze, [">= 0"])
      s.add_development_dependency(%q<yard>.freeze, [">= 0"])
      s.add_development_dependency(%q<ruby-progressbar>.freeze, ["~> 1.7.5"])
      s.add_development_dependency(%q<eventmachine>.freeze, [">= 0"])
      s.add_development_dependency(%q<em-synchrony>.freeze, [">= 0"])
      s.add_development_dependency(%q<em-http-request>.freeze, [">= 0"])
    else
      s.add_dependency(%q<heroics>.freeze, ["= 0.0.17"])
      s.add_dependency(%q<excon>.freeze, ["~> 0.48"])
      s.add_dependency(%q<multi_json>.freeze, ["~> 1.11"])
      s.add_dependency(%q<hashie>.freeze, ["~> 4.1"])
      s.add_dependency(%q<jsonpath>.freeze, [">= 0"])
      s.add_dependency(%q<moneta>.freeze, [">= 0"])
      s.add_dependency(%q<clamp>.freeze, [">= 0"])
      s.add_dependency(%q<pry>.freeze, [">= 0"])
      s.add_dependency(%q<minitest>.freeze, [">= 0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<prmd>.freeze, [">= 0"])
      s.add_dependency(%q<yard>.freeze, [">= 0"])
      s.add_dependency(%q<ruby-progressbar>.freeze, ["~> 1.7.5"])
      s.add_dependency(%q<eventmachine>.freeze, [">= 0"])
      s.add_dependency(%q<em-synchrony>.freeze, [">= 0"])
      s.add_dependency(%q<em-http-request>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<heroics>.freeze, ["= 0.0.17"])
    s.add_dependency(%q<excon>.freeze, ["~> 0.48"])
    s.add_dependency(%q<multi_json>.freeze, ["~> 1.11"])
    s.add_dependency(%q<hashie>.freeze, ["~> 4.1"])
    s.add_dependency(%q<jsonpath>.freeze, [">= 0"])
    s.add_dependency(%q<moneta>.freeze, [">= 0"])
    s.add_dependency(%q<clamp>.freeze, [">= 0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<prmd>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
    s.add_dependency(%q<ruby-progressbar>.freeze, ["~> 1.7.5"])
    s.add_dependency(%q<eventmachine>.freeze, [">= 0"])
    s.add_dependency(%q<em-synchrony>.freeze, [">= 0"])
    s.add_dependency(%q<em-http-request>.freeze, [">= 0"])
  end
end
