# frozen_string_literal: true

# Copyright (c) 2015-2017, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

require 'blockbridge/api'

Blockbridge::Api::Client.defaults[:ssl_verify_peer] = false

# debug support for running in IRB
module Blockbridge::Api::Debug
  def self.client_from_password_auth(user, pass, uri = nil)
  end

  def self.client_from_token(key, uri = nil)
    Blockbridge::Api::Client.new(uri: uri, api_key: key)
  end
end
