# -*- encoding: utf-8 -*-
# stub: blockbridge-util 1.2.1 ruby lib

Gem::Specification.new do |s|
  s.name = "blockbridge-util".freeze
  s.version = "1.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Joshua Huber".freeze]
  s.date = "2020-10-22"
  s.description = "Blockbridge utility library".freeze
  s.email = ["jhuber@blockbridge.com".freeze]
  s.files = [".gitignore".freeze, ".rspec".freeze, ".ruby-version".freeze, "Gemfile".freeze, "Guardfile".freeze, "LICENSE".freeze, "Rakefile".freeze, "blockbridge-util.gemspec".freeze, "lib/blockbridge/util.rb".freeze, "lib/blockbridge/util/color.rb".freeze, "lib/blockbridge/util/constants.rb".freeze, "lib/blockbridge/util/file_data.rb".freeze, "lib/blockbridge/util/filesystem.rb".freeze, "lib/blockbridge/util/filesystem/debugfs.rb".freeze, "lib/blockbridge/util/filesystem/ext4_inspector.rb".freeze, "lib/blockbridge/util/filesystem/inspector.rb".freeze, "lib/blockbridge/util/rake_tasks.rb".freeze, "lib/blockbridge/util/root_fileutils.rb".freeze, "lib/blockbridge/util/tabular.rb".freeze, "lib/blockbridge/util/version.rb".freeze, "spec/lib/blockbridge/util/color_spec.rb".freeze, "spec/lib/blockbridge/util/filesystem/debugfs_spec.rb".freeze, "spec/lib/blockbridge/util/filesystem/ext4_inspector_spec.rb".freeze, "spec/lib/blockbridge/util/filesystem/inspector_spec.rb".freeze, "spec/lib/blockbridge/util/filesystem_spec.rb".freeze, "spec/lib/blockbridge/util/tabular_spec.rb".freeze, "spec/lib/blockbridge/util_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://www.blockbridge.com".freeze
  s.licenses = ["BSD".freeze]
  s.rubygems_version = "2.6.7".freeze
  s.summary = "Blockbridge utility library".freeze

  s.installed_by_version = "2.6.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<absolute_time>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<hashie>.freeze, ["~> 4.1"])
      s.add_runtime_dependency(%q<multi_json>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<naturally>.freeze, ["~> 2.1"])
      s.add_runtime_dependency(%q<paint>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<sys-filesystem>.freeze, ["~> 1.1"])
      s.add_runtime_dependency(%q<unicode-display_width>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<uuidtools>.freeze, [">= 0"])
      s.add_development_dependency(%q<guard>.freeze, [">= 0"])
      s.add_development_dependency(%q<guard-rspec>.freeze, [">= 0"])
      s.add_development_dependency(%q<minitest>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
      s.add_development_dependency(%q<yard>.freeze, [">= 0"])
    else
      s.add_dependency(%q<absolute_time>.freeze, [">= 0"])
      s.add_dependency(%q<hashie>.freeze, ["~> 4.1"])
      s.add_dependency(%q<multi_json>.freeze, [">= 0"])
      s.add_dependency(%q<naturally>.freeze, ["~> 2.1"])
      s.add_dependency(%q<paint>.freeze, [">= 0"])
      s.add_dependency(%q<sys-filesystem>.freeze, ["~> 1.1"])
      s.add_dependency(%q<unicode-display_width>.freeze, [">= 0"])
      s.add_dependency(%q<uuidtools>.freeze, [">= 0"])
      s.add_dependency(%q<guard>.freeze, [">= 0"])
      s.add_dependency(%q<guard-rspec>.freeze, [">= 0"])
      s.add_dependency(%q<minitest>.freeze, [">= 0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<rspec>.freeze, [">= 0"])
      s.add_dependency(%q<yard>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<absolute_time>.freeze, [">= 0"])
    s.add_dependency(%q<hashie>.freeze, ["~> 4.1"])
    s.add_dependency(%q<multi_json>.freeze, [">= 0"])
    s.add_dependency(%q<naturally>.freeze, ["~> 2.1"])
    s.add_dependency(%q<paint>.freeze, [">= 0"])
    s.add_dependency(%q<sys-filesystem>.freeze, ["~> 1.1"])
    s.add_dependency(%q<unicode-display_width>.freeze, [">= 0"])
    s.add_dependency(%q<uuidtools>.freeze, [">= 0"])
    s.add_dependency(%q<guard>.freeze, [">= 0"])
    s.add_dependency(%q<guard-rspec>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
  end
end
