# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.nil?
  raw 'none'
else
  pct_ratio = Float(options.disk.capacity) / options.disk.cap_size_ratio
  bytes = format_bytes(data)
  pct = "%.2f" % (data / pct_ratio * 100)
  raw "#{bytes} (#{pct}%)"
end
