# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

field "label",    data.label
field "notes",    data.notes if data.notes && data.notes.length > 0
field "serial",   data.serial
field "uuid",     data.uuid, :verbose => true
field "created",  data.ctime, :cast => :time
field "modified", data.mtime, :cast => :time, :verbose => true

if data.respond_to?(:visibility)
  field "visibility", data.visibility
  field "visibility ctl", data.visibility_ctl, verbose: true
  field "default visibility", data.default_visibility, verbose: true
end

if data.trashed
  field "status", color("TRASHED", :red)
else
  field "status", partial(:obj_status, data.status) if data.status
end
