# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

sts_val    = data.value
sts_detail = data.detail
sts_ind    = data.indicator

sts_str  = sts_val
sts_str += " (#{sts_detail})" if sts_detail && sts_detail.length > 0

opts = { }

case sts_ind
when 'online'
  sts_str = color(sts_str, :green)
when 'degraded'
  sts_str = color(sts_str, :yellow)
when 'offline'
  sts_str = color(sts_str, :red)
end

raw sts_str
