# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

dev = data

fieldset("Device: #{dev.device_info ? dev.device_info.display_name : dev.label} (#{dev.serial})") do
  partial(:obj_basics, dev)

  field "node",        ref_str(dev.node_id)
  field "path",        dev.path
  field "enabled",     dev.enabled
  field "size",        dev[:size], :cast => :bytes
  field "usable",      dev.usable, :cast => :bytes
  field "used",        dev.used, :cast => :bytes
end
