# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

# dump imported xmd items

data && data.each do |xmd|
  fieldset("Metadata (from ref '#{xmd.ref}')", verbose: true) do
    field "updated", format_time(xmd.mtime)
    field "label", xmd.label
    field "notes", xmd.notes

    if xmd.tags.length > 0
      partial(:tags, xmd.tags)
    end

    xmd.data.each_pair do |k, v|
      k = '""' if k.empty?
      field k, format_json(v)
    end
  end
end
