# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

desc = options.desc || "Action completed successfully."
header color(desc, :bold)

if options.show_objects || options.verbose
  data.each do |obj|
    obj_template = "#{obj.friendly_type}_info".to_sym

    if template_exists? obj_template
      vspace
      raw render obj_template, [ obj ], options
    elsif options.verbose
      vspace
      puts "[no template '#{obj_template}']"
      puts JSON.pretty_generate(data)
    end
  end
end
