# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No objects found."
  return
end

table do |t|
  t.cols("type", "desc", "xref", "ctime", "mtime")

  data.each do |o|
    t << [ o.friendly_type, o.to_s, o.xref,
           format_value(o.ctime, :cast => :time),
           format_value(o.mtime, :cast => :time) ]
  end
end
