# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

res = data.results

if res.nil? || res.length == 0
  header color("Operation completed without removing any objects.", :bold)
  return
end

header color("Processed bulk remove affecting #{res.length} objects.", :bold)

if res.length > 0
  vspace
  header "Results"

  table do |t|
    t.cols({ label: 'serial', lpad: 1 }, 'status')
    res.each do |ent|
      t << [ ent.serial,
             color(ent.status, ent.status == 'success' ? :green : :red) ]
    end
  end
end
