# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No devices found."
  return
end

table do |t|
  t.cols("label", "serial", "node", "status")
  data.each do |dev|
    t.add_row(dev.label ? dev.label : dev.device_info&.display_name,
              dev.serial, ref_str(dev.node_id),
              partial(:obj_status, dev.status))
  end
end
