# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No disk-sets found."
  return
end

table do |t|
  t.cols("name", "ref", "serial", "disks")
  data.each do |obj|
    t.add_row(obj.label, obj.ref, obj.serial, obj.data.group.data.disks_num)
  end
end
