# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No nets found."
  return
end

table(sort_cols: %w(node label)) do |t|
  t.cols("label", "serial", "node", "interface", "complex", "status")
  data.each do |obj|
    t.add_row(obj.label, obj.serial, ref_str(obj.node_id),
              obj.interface, obj.cplx_id || 'shared',
              partial(:obj_status, obj.status))
  end
end
