# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No object store records found."
  return
end

table(sort_cols: %w(label)) do |t|
  t.cols("label", "serial", "type", "bucket_name")
  data.each do |obj|
    t.add_row(obj.label, obj.serial, obj.type, obj.bucket_name)
  end
end
