# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No sites found."
  return
end

table do |t|
  t.cols("label", "serial", "status")
  data.each do |obj|
    t.add_row(obj.label, obj.serial, partial(:obj_status, obj.status))
  end
end
