# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No snapshots found."
  return
end

table(sort_cols: %w(disk label)) do |t|
  t.cols('label', 'serial', 'vss', 'disk', 'status')
  data.each do |obj|
    t << [ obj.label, obj.serial, ref_str(obj.vss_id),
           ref_str(obj.vdisk_id), partial(:obj_status, obj.status) ]
  end
end
