# Copyright (c) 2015-2017, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

data.each_pair do |scope, perms|
  fieldset("#{scope} permissions") do |fs|
    fs.col(0).min = 42
    fs.col(0).max = 42

    if perms.rights && perms.rights.size > 0
      perms.rights.each_pair do |perm, desc|
        desc.sub!(/^#{scope} permission to/, 'user may')
        field "#{scope}.#{perm}", desc
      end
    else
      fs.hide = true
    end
  end
end
