# -*- encoding: utf-8 -*-
# stub: blockbridge-host 1.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "blockbridge-host".freeze
  s.version = "1.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Joshua Huber".freeze]
  s.date = "2020-10-22"
  s.email = "jhuber@blockbridge.com".freeze
  s.executables = ["blockbridge-host".freeze]
  s.files = [".gitignore".freeze, ".rspec".freeze, ".rubocop.yml".freeze, ".ruby-version".freeze, "Gemfile".freeze, "Guardfile".freeze, "LICENSE".freeze, "Rakefile".freeze, "bin/blockbridge-host".freeze, "blockbridge-host.gemspec".freeze, "lib/blockbridge/host.rb".freeze, "lib/blockbridge/host/control.rb".freeze, "lib/blockbridge/host/control/generic.rb".freeze, "lib/blockbridge/host/control/libc.rb".freeze, "lib/blockbridge/host/control/linux.rb".freeze, "lib/blockbridge/host/control/linux_dmi.rb".freeze, "lib/blockbridge/host/control/linux_ipmi.rb".freeze, "lib/blockbridge/host/control/linux_ipsec.rb".freeze, "lib/blockbridge/host/control/linux_iscsi.rb".freeze, "lib/blockbridge/host/control/linux_md.rb".freeze, "lib/blockbridge/host/control/linux_multipath.rb".freeze, "lib/blockbridge/host/control/linux_stunnel.rb".freeze, "lib/blockbridge/host/control/linux_sysfs.rb".freeze, "lib/blockbridge/host/control/udev.rb".freeze, "lib/blockbridge/host/control/vici.rb".freeze, "lib/blockbridge/host/control/windows.rb".freeze, "lib/blockbridge/host/control/windows_iscsi.rb".freeze, "lib/blockbridge/host/executor.rb".freeze, "lib/blockbridge/host/iscsi.rb".freeze, "lib/blockbridge/host/version.rb".freeze, "lib/wmi-lite.rb".freeze, "lib/wmi-lite/version.rb".freeze, "lib/wmi-lite/wmi.rb".freeze, "lib/wmi-lite/wmi_exception.rb".freeze, "lib/wmi-lite/wmi_instance.rb".freeze, "spec/lib/blockbridge/host/control/linux_multipath_spec.rb".freeze, "spec/lib/blockbridge/host/control/linux_spec.rb".freeze, "spec/lib/blockbridge/host/control/windows_iscsi_spec.rb".freeze, "spec/lib/blockbridge/host/control/windows_spec.rb".freeze, "spec/lib/blockbridge/host/executor_spec.rb".freeze, "spec/lib/blockbridge/host_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://www.blockbridge.com".freeze
  s.licenses = ["BSD".freeze]
  s.rubygems_version = "2.6.7".freeze
  s.summary = "Blockbridge Host abstraction library".freeze

  s.installed_by_version = "2.6.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<posix-spawn>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<retriable>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<ffi>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<memoist>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<uuidtools>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<em-synchrony>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<absolute_time>.freeze, [">= 0"])
      s.add_development_dependency(%q<clamp>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<rubocop>.freeze, [">= 0"])
      s.add_development_dependency(%q<ruby-lint>.freeze, [">= 0"])
    else
      s.add_dependency(%q<posix-spawn>.freeze, [">= 0"])
      s.add_dependency(%q<retriable>.freeze, [">= 0"])
      s.add_dependency(%q<ffi>.freeze, [">= 0"])
      s.add_dependency(%q<memoist>.freeze, [">= 0"])
      s.add_dependency(%q<uuidtools>.freeze, [">= 0"])
      s.add_dependency(%q<em-synchrony>.freeze, [">= 0"])
      s.add_dependency(%q<absolute_time>.freeze, [">= 0"])
      s.add_dependency(%q<clamp>.freeze, [">= 0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<rubocop>.freeze, [">= 0"])
      s.add_dependency(%q<ruby-lint>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<posix-spawn>.freeze, [">= 0"])
    s.add_dependency(%q<retriable>.freeze, [">= 0"])
    s.add_dependency(%q<ffi>.freeze, [">= 0"])
    s.add_dependency(%q<memoist>.freeze, [">= 0"])
    s.add_dependency(%q<uuidtools>.freeze, [">= 0"])
    s.add_dependency(%q<em-synchrony>.freeze, [">= 0"])
    s.add_dependency(%q<absolute_time>.freeze, [">= 0"])
    s.add_dependency(%q<clamp>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_dependency(%q<ruby-lint>.freeze, [">= 0"])
  end
end
