require "clamp/subcommand/execution"

module Clamp
  module Subcommand

    module Parsing

      protected

      def parse_subcommand
        return false unless self.class.has_subcommands?
        extend(Subcommand::Execution)
      end

      private

      def subcommand_request_help
        unless self.class.optional_subcommands?
          request_help
        end
      end

      def default_subcommand_name
        self.class.default_subcommand || subcommand_request_help
      end

    end

  end
end
