# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

response = data

begin
  response_body = MultiJson.load(response.body)
  raw response_body["message"]
  if !response_body["errors"].empty?
    raw ": #{response_body["errors"].join(', ')}"
  end
  puts
rescue
  if response.reason_phrase
    puts "Request failed: #{response.reason_phrase}"
  else
    puts "Request failed."
  end
  puts
end
