# Copyright (c) 2018, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

return if data.nil? || data.empty?

data.each do |enc|
  fieldset("Enclosure: #{enc.label} (#{enc[:id]})") do
    field "type", enc.type
    field "vendor", enc.vendor
    field "model", enc.model
    field "health", partial(:obj_health, enc.health) if enc.health
  end
end
