# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No accounts found."
  return
end

table do |t|
  t.cols("name", "serial", "created", "disabled")

  data.each do |obj|
    t << [ obj.name,
           obj.serial,
           format_value(obj.ctime, :cast => :time),
           format_value(obj.disabled, :cast => :bool_yn) ]
  end
end
