# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No authorizations found."
  return
end

table(sort_cols: %w(serial user)) do |t|
  t.cols("serial", "user", "restrict", "created", "notes")
  data.each do |obj|
    t.add_row(obj.serial, ref_str(obj.user_id), obj.restrict,
              format_time(obj.created_at), obj.notes)
  end
end
