# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

table do |t|
  t.cols(color('service_templates', :bold), 'description', 'provisioned IOPS')
  data.service_templates&.each do |c|
    t << [ c[:type], c[:description], c[:piops][:type] ]
  end
end

table do |t|
  t.col(0).label = color('scheduling algorithms', :bold)
  data.scheduling_algorithm.each do |c|
    t << [ c ]
  end
end

table do |t|
  t.col(0).label = color('defined tags', :bold)
  data.tags.each do |c|
    t << [ c ]
  end
end
