# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No hosts configured."
  return
end

table do |t|
  t.cols("label", "url", "flags")
  data.each_pair do |label, info|
    t.add_row(label, info.url, info.default ? 'default' : '')
  end
end
