# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

header "config file path: #{data.filename}"

if data.sections.empty?
  header "no configuration options set"
  return
end

vspace

data.sections.each_pair do |sn, s|
  fieldset("config section: #{sn}") do
    s.each_pair do |k, v|
      field k, v
    end
  end
end
