# Copyright (c) 2020, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

stats = data[:stats]
obj = data[:obj]

fieldset("Datastore: #{obj.label} (#{obj.serial})", heading: true) do
  partial(:obj_basics, obj)
  field 'complex', obj[:cplx_id]
end

fieldset('Available Statistics') do
  stats[:usage].each_pair do |stat, info|
    field stat, "#{info[:desc]} (#{info[:units]})"
  end
end
