# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

fieldset('System', heading: true) do
  sys = data.sys
  field 'uptime', sys.uptime, cast: :duration_s
  field 'boot time', sys.boot_time, cast: :time
end

fieldset('Adapter', heading: true) do
  fields_from_hash data.adapter
end

fieldset('MP', heading: true) do
  mp = data.mp
  field 'system time', mp.time, cast: :time
  field 'uptime', mp.uptime, cast: :duration_s
  field 'build version', mp.build_version
  field 'build time', mp.build_time
end
