# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.empty?
  header 'No processes returned.'
  return
end

table do |t|
  t.cols('pid', 'user', 'state', 'rss', 'cmd')

  data.each do |obj|
    t << [
      obj[:pid],
      obj[:user],
      obj[:state],
      obj[:rss],
      obj[:cmdline] || obj[:name]
    ]
  end
end
