vss = data[:vss]
vss_label = vss.label || vss.serial
disk = data[:vdisk]
disk_label = disk.label || disk.serial

obj_label = "#{vss_label}/#{disk_label}"

o = "#{obj_label} attached"

if data[:secure] != nil
  o += " with #{data[:secure]}"
end

o += " (#{data[:mode]}) to #{data[:host]}"

if data[:multipath]
  num_paths = data[:paths].length
  o += " (via #{num_paths} #{'path'.pluralize(num_paths)})"
end

o += " as #{data[:dev]}"

puts '=' * o.length
puts o
puts '=' * o.length
