# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No initiator profiles found."
  return
end

table(sort_cols: %w(vss label)) do |t|
  t.cols("label", "serial", "vss", "status")
  data.each do |obj|
    vss = obj.vss_id ? ref_str(obj.vss_id) : "n/a (global)"
    t.add_row(obj.label, obj.serial, vss, partial(:obj_status, obj.status))
  end
end
