# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No xmd records found."
  return
end

table do |t|
  t.cols("ref", "label", "serial", "vss")
  data.each do |obj|
    t.add_row(obj.ref, obj.label, obj.serial, ref_str(obj.vss_id))
  end
end
